Subject: Re: bug#70526: 29.2; package-vc-upgrade failed with error message "File is not under version control"

From: "Yi Yue" <[email-masked]>
Date: Wed, 24 Apr 2024 16:02:42 +0900

&gt; I am actually satisfied with this approach, and it seems reliable. &gt; &gt; &gt; &gt; As you suggested earlier, maybe we need to modify vc.el, making the restriction looser? &gt; If you can, try out the above patch and tell me if you end up having any &gt; issues, otherwise I don't think we need to adjust vc. Yes, it works as expected, thanks. But now it will create an additional empty buffer named "{pkg}*", {pkg} is the name of pacakge. So I suggest the following code: ------------------------------------------------------------------ (with-demoted-errors "Failed to fetch: %S"   (require 'vc-dir)   (let ((vcbuf (vc-dir-prepare-status-buffer                 (format " *vc-dir: %s*" pkg-dir)                 pkg-dir (vc-responsible-backend pkg-dir))))     (unwind-protect 	(with-current-buffer vcbuf           (vc-pull))       (kill-buffer vcbuf)))) ------------------------------------------------------------------- Anyway, I think this buffer doesn't matter. Both are OK. Regards Yi Yue